/*
 * $Id: screen.h,v 1.1.1.1 2002/03/14 14:19:26 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Opengl screen functions header file.
 *
 * @version $Revision: 1.1.1.1 $
 */
#include <GL/gl.h>	// Header File For The OpenGL32 Library
#include <GL/glu.h>	// Header File For The GLu32 Library

#define FIELD_WIDTH 49152

extern float eyeX, eyeY, eyeZ;
extern float lookX, lookY, lookZ;

void loadGLTexture(char*, GLuint*);
void initSDL();
void closeSDL();
void resized(int, int);
void drawGLSceneStart();
void drawGLSceneEnd();
void startDrawWalls();
void endDrawWalls();
void setColor(int r, int g, int b, int a);
void drawBar(int x1, int y1, int x2, int y2, int height);
void drawLine(int x1, int y1, int x2, int y2, int height);
void drawFrag(int x, int y, int z, int d1, int d2, int frSize);
void drawTile();
void drawEnv();
